# Method: admin.contacts.v1.users.delegates.list

Lists the delegates of a given user.

### HTTP request

`GET https://admin.googleapis.com/admin/contacts/v1/{parent=users/*}/delegates`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The parent who owns this collection of delegates following the format: users/{userId} where userId is the email address of the given user. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Determines how many delegates are returned in each response. For exapmle, if the request sets `pageSize=1` and the given user has two delegates, the response has two pages. The response's `nextPageToken` property has the token to the second page. If left unset, the default page size is used. |
| `pageToken` | `string` A page token to specify the next page. A user with several delegates has a `nextPageToken` property in the response. In your follow up request getting the next set of delegates, enter the `nextPageToken` value in the `pageToken` query string. |

### Request body

The request body must be empty.

### Response body

Response message type for an admin to list delegates for a given user.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "delegates": [ { object (`https://developers.google.com/workspace/admin/contact-delegation/reference/rest/v1/admin.contacts.v1.users.delegates#Delegate`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `delegates[]` | ``object (`https://developers.google.com/workspace/admin/contact-delegation/reference/rest/v1/admin.contacts.v1.users.delegates#Delegate`)`` List of delegates of the given user. |
| `nextPageToken` | `string` Token for retrieving the follow-on delegates of a given user. The `nextPageToken` value is used in the request's `pageToken` query string. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.contact.delegation`
- `
  https://www.googleapis.com/auth/admin.contact.delegation.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).